=== debian/changelog ===
ros-indigo-gazebo-plugins (2.4.16-1trusty) trusty; urgency=high

  * ROS UTILS: initialize rosnode_ in alternative constructor to avoid segfault #478 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/478> (#722 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/722>)
  * Contributors: Jose Luis Rivero

 -- John Hsu <hsu@osrfoundation.org>  Sun, 03 Jun 2018 22:00:00 -0000

ros-indigo-gazebo-plugins (2.4.15-1trusty) trusty; urgency=high



 -- John Hsu <hsu@osrfoundation.org>  Tue, 08 Aug 2017 22:00:00 -0000

ros-indigo-gazebo-plugins (2.4.14-1trusty) trusty; urgency=high

  * Fix distortion coefficients order (#503 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/503>)
  * Contributors: Enrique Fernández Perdomo

 -- John Hsu <hsu@osrfoundation.org>  Fri, 23 Jun 2017 22:00:00 -0000

ros-indigo-gazebo-plugins (2.4.13-1trusty) trusty; urgency=high

  * Fix timestamp issues for rendering sensors (indigo-devel) (#551 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/551>)
  * Contributors: Ian Chen, Jose Luis Rivero

 -- John Hsu <hsu@osrfoundation.org>  Mon, 27 Feb 2017 23:00:00 -0000

ros-indigo-gazebo-plugins (2.4.12-1trusty) trusty; urgency=high



 -- John Hsu <hsu@osrfoundation.org>  Sat, 26 Nov 2016 23:00:00 -0000

ros-indigo-gazebo-plugins (2.4.11-1trusty) trusty; urgency=high

  * Use NOT VERSION_LESS to simplify cmake logic
  * Added an interface to gazebo's harness plugin
  * Merge pull request #460 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/460> from furushchev/fix-camera-util
    [gazebo_plugins] bugfix: duplicated tf prefix resolution in gazebo_ros_camera plugin
  * removed extra includes
  * Fix gazebo7 deprecation warnings
  * [gazebo_plugins] bugfix: duplicated tf prefix resolution
  * Revert change. AdvertiseOption API is nothing related to latched mode
  * Fix issue of passing a member class to Advertise instead of a boolean
  * Fix gazebo_ros_joint_trajectory, whitespace
    Duplicate of #405 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/405> targeted to indigo-devel
  * gazebo_packges/gazebo_ros_joint_pose_trajectory.cpp BUG that caused simulated trajectories to run fast
    The points in the class.points_ member never had their time_from_start set.
    This caused all the time_from_starts to be set to 0. This in turn caused all
    the trajectory points to be played instantly one after the other in Gazebo.
  * use HasElement in if condition
  * Set GAZEBO_PLUGIN_PATH for test
  * Add rostest to accompany range plugin world
  * Follow ROS documentation and depend on catkin_EXPORTED_TARGETS
  * Remove all references to gazebo_msgs_gencpp (ghost)
  * Fix row_step of openni_kinect plugin
  * Publish organized point cloud from openni_kinect plugin
  * missing link_directories()
  * imu supports frameName
  * Also accept "/world" as frameName parameter in gazebo_ros_p3d plugin
  * Contributors: Bence Magyar, Benjamin Blumer, Jan Skoda, Jan Škoda, Johannes Meyer, John Hsu, Jose Luis Rivero, Kentaro Wada, Steven Peters, Yuki Furuta, nate koenig

 -- John Hsu <hsu@osrfoundation.org>  Wed, 13 Jul 2016 22:00:00 -0000

ros-indigo-gazebo-plugins (2.4.10-1trusty) trusty; urgency=high

  * gazebo_ros_utils.h: include gazebo_config.h
    Make sure to include gazebo_config.h,
    which defines the GAZEBO_MAJOR_VERSION macro
  * Fix compiler error with SetHFOV
    In gazebo7, the rendering::Camera::SetHFOV function
    is overloaded with a potential for ambiguity,
    as reported in the following issue:
    https://bitbucket.org/osrf/gazebo/issues/1830
    This fixes the build by explicitly defining the
    Angle type.
  * Add missing boost header
    Some boost headers were remove from gazebo7 header files
    and gazebo_ros_joint_state_publisher.cpp was using it
    implicitly.
  * Fix gazebo7 build errors
    The SensorPtr types have changed from boost:: pointers
    to std:: pointers,
    which requires boost::dynamic_pointer_cast to change to
    std::dynamic_pointer_cast.
    A helper macro is added that adds a using statement
    corresponding to the correct type of dynamic_pointer_cast.
    This macro should be narrowly scoped to protect
    other code.
  * Fix gazebo6 deprecation warnings
    Several RaySensor functions are deprecated in gazebo6
    and are removed in gazebo7.
    The return type is changed to use ignition math
    and the function name is changed.
    This adds ifdef's to handle the changes.
  * Added a missing initialization inside Differential Drive
  * Contributors: Mirko Ferrati, Steven Peters

 -- John Hsu <hsu@osrfoundation.org>  Wed, 24 Feb 2016 23:00:00 -0000

ros-indigo-gazebo-plugins (2.4.9-1trusty) trusty; urgency=high

  * Adds range plugin for infrared and ultrasound sensors from PAL Robotics
  * Import changes from jade-branch
  * Add range world and launch file
  * Add ifdefs to fix build with gazebo2
  * Use Joint::SetParam for joint velocity motors
  * Set GAZEBO_CXX_FLAGS to fix c++11 compilation errors
  * Contributors: Bence Magyar, Jose Luis Rivero, Steven Peters

 -- John Hsu <hsu@osrfoundation.org>  Sat, 15 Aug 2015 22:00:00 -0000

ros-indigo-gazebo-plugins (2.4.8-1trusty) trusty; urgency=high

  * fixed mistake at calculation of joint velocity
  * [gazebo_ros_diff_drive] force call SetMaxForce since this Joint::Reset in gazebo/physics/Joint.cc reset MaxForce to zero and ModelPlugin::Reset is called after Joint::Reset
  * add PointCloudCutoffMax
  * Contributors: Kei Okada, Michael Ferguson, Sabrina Heerklotz

 -- John Hsu <hsu@osrfoundation.org>  Mon, 16 Mar 2015 23:00:00 -0000

ros-indigo-gazebo-plugins (2.4.7-1trusty) trusty; urgency=high

  * Merge pull request #276 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/276> from ros-simulation/gazebo_ogre_compile_flag_fix
    fix missing ogre flags: removed from gazebo default (5.x.x candidate) cmake config
  * Merge pull request #238 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/238> from ayrton04/indigo-devel

